FreeBSD : py-imaging, py-pillow -- Buffer overflow in PCD decoder (a8de962a-cf15-11e5-805c-5453ed2e2b49)

High Nessus Plugin ID 88673


The remote FreeBSD host is missing one or more security-related updates.


The Pillow maintainers report :

In all versions of Pillow, dating back at least to the last PIL 1.1.7 release, PcdDecode.c has a buffer overflow error.

The state.buffer for PcdDecode.c is allocated based on a 3 bytes per pixel sizing, where PcdDecode.c wrote into the buffer assuming 4 bytes per pixel. This writes 768 bytes beyond the end of the buffer into other Python object storage. In some cases, this causes a segfault, in others an internal Python malloc error.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 88673

File Name: freebsd_pkg_a8de962acf1511e5805c5453ed2e2b49.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2016/02/10

Modified: 2016/02/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-imaging, p-cpe:/a:freebsd:freebsd:py27-pillow, p-cpe:/a:freebsd:freebsd:py33-pillow, p-cpe:/a:freebsd:freebsd:py34-pillow, p-cpe:/a:freebsd:freebsd:py35-pillow, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/02/09

Vulnerability Publication Date: 2016/02/02